Bug 378513

Summary: kontact or akregator crash after close/restart
Product: [Applications] akregator Reporter: Michael Kaeck <mkaeck>
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED WORKSFORME    
Severity: crash CC: 2357913729, abhshk.btra, ampp.4me, arbedall, arojas, bizyaev, bux23, cruzki123, daniele.fognini, eagle.bugs.kde.org, GrokIt, grosales, igunublue, ivoviniciusspjsl, kaeslaek, kde, kdenis, keplicz, ketelsen.malte, kevin.v, linux, mark_p._sanders, martin.tlustos, Mathias.Homann, metkometko, mfraz74+kde, moltonel, moonwalker, mtijink.bugs, phobian, rb03884, robby.engelmann, ryan, slawek, ultrabla, winter
Priority: VHI Keywords: drkonqi
Version: 5.5.2   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi

Description Michael Kaeck 2017-04-06 17:52:32 UTC
Application: kontact (5.3.0 (QtWebEngine))

Qt Version: 5.6.1
Frameworks Version: 5.26.0
Operating System: Linux 4.4.57-18.3-default x86_64
Distribution: "openSUSE Leap 42.2"

-- Information about the crash:
- What I was doing when the application crashed:

Close and restart kontact with only enabled parts kmail and akregator.
First start after login is without problem.
akregator often also crash if a lot of new News are recieved

The crash can be reproduced every time.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f6565f457c0 (LWP 6877))]

Thread 31 (Thread 0x7f6534d7a700 (LWP 8342)):
#0  0x00007f656296949d in poll () from /lib64/libc.so.6
#1  0x00007f655dc6a314 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f655dc6a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f656348d32b in QEventDispatcherGlib::processEvents (this=0x7f64f8006000, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007f656343afdb in QEventLoop::exec (this=this@entry=0x7f6534d79e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007f6563275f1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007f656327a9e9 in QThreadPrivate::start (arg=0x2c9c240) at thread/qthread_unix.cpp:341
#7  0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 30 (Thread 0x7f645c592700 (LWP 8337)):
#0  0x00007f656297e1e3 in __libc_disable_asynccancel () from /lib64/libc.so.6
#1  0x00007f6562965529 in read () from /lib64/libc.so.6
#2  0x00007f655dcaa670 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f655dc69e49 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f655dc6a2a8 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f655dc6a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#6  0x00007f656348d32b in QEventDispatcherGlib::processEvents (this=0x7f64fc005dd0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#7  0x00007f656343afdb in QEventLoop::exec (this=this@entry=0x7f645c591e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#8  0x00007f6563275f1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#9  0x00007f656327a9e9 in QThreadPrivate::start (arg=0x36054c0) at thread/qthread_unix.cpp:341
#10 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 29 (Thread 0x7f6462ba9700 (LWP 8335)):
#0  0x00007ffd6679bb62 in clock_gettime ()
#1  0x00007f656297e806 in clock_gettime () from /lib64/libc.so.6
#2  0x00007f6563325826 in qt_clock_gettime (ts=0x7f6462ba8ba0, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:105
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:156
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:165
#5  0x00007f656348b989 in QTimerInfoList::updateCurrentTime (this=this@entry=0x1e75fa0) at kernel/qtimerinfo_unix.cpp:84
#6  0x00007f656348bf05 in QTimerInfoList::timerWait (this=0x1e75fa0, tm=...) at kernel/qtimerinfo_unix.cpp:381
#7  0x00007f656348d0fe in timerSourcePrepareHelper (timeout=0x7f6462ba8c54, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:126
#8  timerSourcePrepare (source=<optimized out>, timeout=0x7f6462ba8c54) at kernel/qeventdispatcher_glib.cpp:159
#9  0x00007f655dc6995d in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f655dc6a230 in ?? () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f655dc6a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#12 0x00007f656348d32b in QEventDispatcherGlib::processEvents (this=0x2debe10, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#13 0x00007f656343afdb in QEventLoop::exec (this=this@entry=0x7f6462ba8e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#14 0x00007f6563275f1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#15 0x00007f656327a9e9 in QThreadPrivate::start (arg=0x2d66bf0) at thread/qthread_unix.cpp:341
#16 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#17 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 28 (Thread 0x7f6461ba7700 (LWP 8332)):
#0  0x00007ffd6679bb62 in clock_gettime ()
#1  0x00007f656297e806 in clock_gettime () from /lib64/libc.so.6
#2  0x00007f6563325826 in qt_clock_gettime (ts=0x7f6461ba6ba0, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:105
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:156
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:165
#5  0x00007f656348b989 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f6540005940) at kernel/qtimerinfo_unix.cpp:84
#6  0x00007f656348bf05 in QTimerInfoList::timerWait (this=0x7f6540005940, tm=...) at kernel/qtimerinfo_unix.cpp:381
#7  0x00007f656348d0fe in timerSourcePrepareHelper (timeout=0x7f6461ba6c54, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:126
#8  timerSourcePrepare (source=<optimized out>, timeout=0x7f6461ba6c54) at kernel/qeventdispatcher_glib.cpp:159
#9  0x00007f655dc6995d in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f655dc6a230 in ?? () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f655dc6a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#12 0x00007f656348d32b in QEventDispatcherGlib::processEvents (this=0x7f6540004830, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#13 0x00007f656343afdb in QEventLoop::exec (this=this@entry=0x7f6461ba6e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#14 0x00007f6563275f1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#15 0x00007f656327a9e9 in QThreadPrivate::start (arg=0x18a3510) at thread/qthread_unix.cpp:341
#16 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#17 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 27 (Thread 0x7f6457fdd700 (LWP 8331)):
#0  0x00007ffd6679bb62 in clock_gettime ()
#1  0x00007f656297e806 in clock_gettime () from /lib64/libc.so.6
#2  0x00007f6563325826 in qt_clock_gettime (ts=0x7f6457fdcba0, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:105
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:156
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:165
#5  0x00007f656348b989 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f6538037be0) at kernel/qtimerinfo_unix.cpp:84
#6  0x00007f656348bf05 in QTimerInfoList::timerWait (this=0x7f6538037be0, tm=...) at kernel/qtimerinfo_unix.cpp:381
#7  0x00007f656348d0fe in timerSourcePrepareHelper (timeout=0x7f6457fdcc54, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:126
#8  timerSourcePrepare (source=<optimized out>, timeout=0x7f6457fdcc54) at kernel/qeventdispatcher_glib.cpp:159
#9  0x00007f655dc6995d in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f655dc6a230 in ?? () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f655dc6a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#12 0x00007f656348d32b in QEventDispatcherGlib::processEvents (this=0x7f6538037b30, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#13 0x00007f656343afdb in QEventLoop::exec (this=this@entry=0x7f6457fdce10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#14 0x00007f6563275f1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#15 0x00007f656327a9e9 in QThreadPrivate::start (arg=0x1b3f770) at thread/qthread_unix.cpp:341
#16 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#17 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 26 (Thread 0x7f6451706700 (LWP 6987)):
#0  0x00007ffd6679bb62 in clock_gettime ()
#1  0x00007f656297e806 in clock_gettime () from /lib64/libc.so.6
#2  0x00007f6563325826 in qt_clock_gettime (ts=0x7f6451705ba0, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:105
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:156
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:165
#5  0x00007f656348b989 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f6500089ef0) at kernel/qtimerinfo_unix.cpp:84
#6  0x00007f656348bf05 in QTimerInfoList::timerWait (this=0x7f6500089ef0, tm=...) at kernel/qtimerinfo_unix.cpp:381
#7  0x00007f656348d0fe in timerSourcePrepareHelper (timeout=0x7f6451705c54, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:126
#8  timerSourcePrepare (source=<optimized out>, timeout=0x7f6451705c54) at kernel/qeventdispatcher_glib.cpp:159
#9  0x00007f655dc6995d in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f655dc6a230 in ?? () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f655dc6a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#12 0x00007f656348d32b in QEventDispatcherGlib::processEvents (this=0x7f6500079d50, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#13 0x00007f656343afdb in QEventLoop::exec (this=this@entry=0x7f6451705e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#14 0x00007f6563275f1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#15 0x00007f656327a9e9 in QThreadPrivate::start (arg=0x2da02d0) at thread/qthread_unix.cpp:341
#16 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#17 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 25 (Thread 0x7f6452899700 (LWP 6958)):
#0  0x00007ffd6679bb62 in clock_gettime ()
#1  0x00007f656297e806 in clock_gettime () from /lib64/libc.so.6
#2  0x00007f6563325826 in qt_clock_gettime (ts=0x7f6452898ba0, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:105
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:156
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:165
#5  0x00007f656348b989 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f64f8003d00) at kernel/qtimerinfo_unix.cpp:84
#6  0x00007f656348bf05 in QTimerInfoList::timerWait (this=0x7f64f8003d00, tm=...) at kernel/qtimerinfo_unix.cpp:381
#7  0x00007f656348d0fe in timerSourcePrepareHelper (timeout=0x7f6452898c54, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:126
#8  timerSourcePrepare (source=<optimized out>, timeout=0x7f6452898c54) at kernel/qeventdispatcher_glib.cpp:159
#9  0x00007f655dc6995d in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f655dc6a230 in ?? () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f655dc6a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#12 0x00007f656348d32b in QEventDispatcherGlib::processEvents (this=0x7f64f8002a20, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#13 0x00007f656343afdb in QEventLoop::exec (this=this@entry=0x7f6452898e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#14 0x00007f6563275f1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#15 0x00007f656327a9e9 in QThreadPrivate::start (arg=0x20b74a0) at thread/qthread_unix.cpp:341
#16 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#17 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7f645373f700 (LWP 6949)):
#0  0x00007f655e8ac0bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6555e94ce9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f6555e954ad in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f6555e95cd0 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7f64540e3700 (LWP 6948)):
#0  0x00007f655e8ac0bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6555e94ce9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f6555e954ad in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f6555e95cd0 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7f64577dc700 (LWP 6924)):
#0  0x00007f656296949d in poll () from /lib64/libc.so.6
#1  0x00007f655dc6a314 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f655dc6a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f656348d32b in QEventDispatcherGlib::processEvents (this=0x7f6538016480, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007f656343afdb in QEventLoop::exec (this=this@entry=0x7f64577dbe10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007f6563275f1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007f656327a9e9 in QThreadPrivate::start (arg=0x1f07a00) at thread/qthread_unix.cpp:341
#7  0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7f64613a6700 (LWP 6910)):
#0  0x00007ffd6679bb62 in clock_gettime ()
#1  0x00007f656297e806 in clock_gettime () from /lib64/libc.so.6
#2  0x00007f6563325826 in qt_clock_gettime (ts=0x7f64613a5ba0, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:105
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:156
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:165
#5  0x00007f656348b989 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f6520005860) at kernel/qtimerinfo_unix.cpp:84
#6  0x00007f656348bf05 in QTimerInfoList::timerWait (this=0x7f6520005860, tm=...) at kernel/qtimerinfo_unix.cpp:381
#7  0x00007f656348d0fe in timerSourcePrepareHelper (timeout=0x7f64613a5c54, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:126
#8  timerSourcePrepare (source=<optimized out>, timeout=0x7f64613a5c54) at kernel/qeventdispatcher_glib.cpp:159
#9  0x00007f655dc6995d in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f655dc6a230 in ?? () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f655dc6a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#12 0x00007f656348d32b in QEventDispatcherGlib::processEvents (this=0x7f6520002610, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#13 0x00007f656343afdb in QEventLoop::exec (this=this@entry=0x7f64613a5e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#14 0x00007f6563275f1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#15 0x00007f656327a9e9 in QThreadPrivate::start (arg=0x1a817a0) at thread/qthread_unix.cpp:341
#16 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#17 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f64623a8700 (LWP 6908)):
#0  QThreadData::current (createIfNecessary=createIfNecessary@entry=true) at thread/qthread_unix.cpp:216
#1  0x00007f656348d23a in postEventSourcePrepare (s=0x7f6514003e00, timeout=0x7f64623a7c54) at kernel/qeventdispatcher_glib.cpp:246
#2  0x00007f655dc6995d in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f655dc6a230 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f655dc6a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f656348d32b in QEventDispatcherGlib::processEvents (this=0x7f65140019b0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#6  0x00007f656343afdb in QEventLoop::exec (this=this@entry=0x7f64623a7e10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#7  0x00007f6563275f1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#8  0x00007f656327a9e9 in QThreadPrivate::start (arg=0x1b29610) at thread/qthread_unix.cpp:341
#9  0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f6463a2e700 (LWP 6906)):
#0  0x00007ffd6679bb62 in clock_gettime ()
#1  0x00007f656297e806 in clock_gettime () from /lib64/libc.so.6
#2  0x00007f6563325826 in qt_clock_gettime (ts=0x7f6463a2dbf0, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:105
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:156
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:165
#5  0x00007f656348b989 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f650c004460) at kernel/qtimerinfo_unix.cpp:84
#6  0x00007f656348d8e5 in timerSourceCheckHelper (src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:140
#7  timerSourceCheck (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:167
#8  0x00007f655dc69da1 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#9  0x00007f655dc6a2a8 in ?? () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f655dc6a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f656348d32b in QEventDispatcherGlib::processEvents (this=0x7f650c0020a0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#12 0x00007f656343afdb in QEventLoop::exec (this=this@entry=0x7f6463a2de10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#13 0x00007f6563275f1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#14 0x00007f656327a9e9 in QThreadPrivate::start (arg=0x1be8970) at thread/qthread_unix.cpp:341
#15 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#16 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f64ef7fd700 (LWP 6905)):
#0  0x00007f655e8ac0bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f654f7e793b in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007f654f7e7969 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f64efffe700 (LWP 6899)):
#0  0x00007f655e8ac0bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6555cf0830 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f6555cde2db in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f6555cde555 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555cdae47 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f65574e0c7a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f65574e0f91 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f65574e1082 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f6555e7e732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f6555e6a1d5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f6555e96050 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f6508ff9700 (LWP 6898)):
#0  0x00007f655e8ac0bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6555e94ce9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f6555e954ad in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f6555e95cd0 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f65097fa700 (LWP 6897)):
#0  0x00007f653f54b98e in pa_srbchannel_read () from /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#1  0x00007f653f547ee8 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#2  0x00007f653f54abfb in ?? () from /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#3  0x00007f653f54afad in ?? () from /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#4  0x00007f653f54b84a in ?? () from /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#5  0x00007f653fdd7a14 in pa_mainloop_dispatch () from /usr/lib64/libpulse.so.0
#6  0x00007f653fdd7dea in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#7  0x00007f653fdd7e90 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#8  0x00007f653fde6006 in ?? () from /usr/lib64/libpulse.so.0
#9  0x00007f653f55b408 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#10 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f6509ffb700 (LWP 6896)):
#0  0x00007f655e8ac0bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6555e8b81f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f6555e8b8f4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f6555e6e14b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555e7e732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f6555e6a1d5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f6555e96050 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f650b7fe700 (LWP 6893)):
#0  0x00007f655e8ac0bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6555891b19 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f6555e95cd0 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f650bfff700 (LWP 6892)):
#0  0x00007f655e8ac0bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6555e8b81f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f6555e8b8f4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f6555e6e14b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555e7e732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f6555e6a1d5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f6555e96050 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f6524ff9700 (LWP 6891)):
#0  0x00007ffd6679bb62 in clock_gettime ()
#1  0x00007f656297e806 in clock_gettime () from /lib64/libc.so.6
#2  0x00007f6555e9a58c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f6555e9a67e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555e4b415 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f6555e7e732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f6555e6a1d5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f6555524435 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f655552454b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f6555e96050 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#12 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f65257fa700 (LWP 6890)):
#0  0x00007f656296557d in write () from /lib64/libc.so.6
#1  0x00007f65628fb840 in _IO_new_file_write () from /lib64/libc.so.6
#2  0x00007f65628fae63 in new_do_write () from /lib64/libc.so.6
#3  0x00007f65628fbe46 in __GI__IO_file_xsputn () from /lib64/libc.so.6
#4  0x00007f65628d2b1b in buffered_vfprintf () from /lib64/libc.so.6
#5  0x00007f65628cfe8e in vfprintf () from /lib64/libc.so.6
#6  0x00007f656297fd33 in __fprintf_chk () from /lib64/libc.so.6
#7  0x00007f654e16efdf in ?? () from /usr/lib64/libevent-2.0.so.5
#8  0x00007f654e16f1b7 in event_warn () from /usr/lib64/libevent-2.0.so.5
#9  0x00007f654e173468 in ?? () from /usr/lib64/libevent-2.0.so.5
#10 0x00007f654e15f477 in event_base_loop () from /usr/lib64/libevent-2.0.so.5
#11 0x00007f6555e4b401 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f6555e7e732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f6555e6a1d5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f65555243b5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f65555245ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007f6555e96050 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#17 0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#18 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#19 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f6525ffb700 (LWP 6889)):
#0  0x00007f655e8ac0bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6555e8b81f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f6555e8b8f4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f6555e6e14b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555e7e732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f6555e6a1d5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f6555524335 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f655552459b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f6555e96050 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f65267fc700 (LWP 6888)):
#0  0x00007f655e8ac0bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6555e8b81f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f6555e8b8f4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f6555e6e14b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555e7e732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f6555e6a1d5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f65555242b5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f655552458b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f6555e96050 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f6526ffd700 (LWP 6887)):
#0  0x00007ffd6679bdb9 in gettimeofday ()
#1  0x00007f654e15bfee in ?? () from /usr/lib64/libevent-2.0.so.5
#2  0x00007f654e15f45e in event_base_loop () from /usr/lib64/libevent-2.0.so.5
#3  0x00007f6555e4b36e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555e7e732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f6555e6a1d5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f6555524235 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f655552457b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f6555e96050 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f65277fe700 (LWP 6886)):
#0  0x00007f655e8ac0bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6555e8b81f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f6555e8b8f4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f6555e6e14b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555e7e732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f6555e6a1d5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f65555241b5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f655552456b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f6555e96050 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f6527fff700 (LWP 6885)):
#0  0x00007f655e8ac468 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6555e8b0c2 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f6555e98b06 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f6555e98cf6 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f653557b700 (LWP 6883)):
#0  0x00007f655e8ac0bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6555e8b81f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f6555e8b8f4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f6555e6e14b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555e7e732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f6555e6a1d5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f6555e96050 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f6535d7c700 (LWP 6882)):
#0  0x00007ffd6679bdb9 in gettimeofday ()
#1  0x00007f654e15bfee in ?? () from /usr/lib64/libevent-2.0.so.5
#2  0x00007f654e15f45e in event_base_loop () from /usr/lib64/libevent-2.0.so.5
#3  0x00007f6555e4b36e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f6555e7e732 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f6555e6a1d5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f6555e96050 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f6555e92a2e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f653c977700 (LWP 6879)):
#0  0x00007f655dcab399 in g_private_get () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f655dc8ee40 in g_thread_self () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f655dc6937c in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f655dc6a1d5 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f655dc6a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f656348d32b in QEventDispatcherGlib::processEvents (this=0x7f65380008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#6  0x00007f656343afdb in QEventLoop::exec (this=this@entry=0x7f653c976de0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#7  0x00007f6563275f1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#8  0x00007f6561bb01d5 in ?? () from /usr/lib64/libQt5DBus.so.5
#9  0x00007f656327a9e9 in QThreadPrivate::start (arg=0x7f6561e18ce0) at thread/qthread_unix.cpp:341
#10 0x00007f655e8a7744 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f6562971d3d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f6565f457c0 (LWP 6877)):
[KCrash Handler]
#6  0x0000000002e7c9e0 in ?? ()
#7  0x00007f65634453c9 in QMetaObject::cast (this=0x7f6456b0e1e0 <Akregator::WebEngineFrame::staticMetaObject>, obj=obj@entry=0x20b36a0) at kernel/qmetaobject.cpp:331
#8  0x00007f64568aeb82 in qobject_cast<Akregator::WebEngineFrame*> (object=0x20b36a0) at /usr/include/qt5/QtCore/qobject.h:518
#9  Akregator::FrameManager::saveProperties (this=0x1ffcf80, config=...) at /usr/src/debug/kdepim-16.08.2/akregator/src/frame/framemanager.cpp:281
#10 0x00007f6456d98b6f in Akregator::MainWidget::saveProperties (this=<optimized out>, config=...) at /usr/src/debug/kdepim-16.08.2/akregator/src/mainwidget.cpp:1232
#11 0x00007f6456d92c8a in Akregator::Part::saveCrashProperties (this=0x1eccfc0) at /usr/src/debug/kdepim-16.08.2/akregator/src/akregator_part.cpp:801
#12 0x00007f6456d92d05 in Akregator::Part::slotAutoSave (this=<optimized out>) at /usr/src/debug/kdepim-16.08.2/akregator/src/akregator_part.cpp:806
#13 0x00007f6456dad755 in Akregator::Part::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kdepim-16.08.2/build/akregator/src/moc_akregator_part.cpp:236
#14 0x00007f6563468166 in QObject::event (this=0x1eccfc0, e=<optimized out>) at kernel/qobject.cpp:1256
#15 0x00007f6564143e3c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x1eccfc0, e=0x1cb7480) at kernel/qapplication.cpp:3804
#16 0x00007f656414849a in QApplication::notify (this=0x7ffd6678e540, receiver=0x1eccfc0, e=0x1cb7480) at kernel/qapplication.cpp:3561
#17 0x00007f656343cfc5 in QCoreApplication::notifyInternal2 (receiver=0x1eccfc0, event=event@entry=0x1cb7480) at kernel/qcoreapplication.cpp:1015
#18 0x00007f656343edaa in QCoreApplication::sendEvent (event=0x1cb7480, receiver=<optimized out>) at kernel/qcoreapplication.h:225
#19 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x1706600) at kernel/qcoreapplication.cpp:1650
#20 0x00007f656343f358 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1508
#21 0x00007f656348dc83 in postEventSourceDispatch (s=0x17448e0) at kernel/qeventdispatcher_glib.cpp:270
#22 0x00007f655dc6a134 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#23 0x00007f655dc6a388 in ?? () from /usr/lib64/libglib-2.0.so.0
#24 0x00007f655dc6a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#25 0x00007f656348d30c in QEventDispatcherGlib::processEvents (this=0x1754750, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#26 0x00007f656343afdb in QEventLoop::exec (this=this@entry=0x7ffd6678e2a0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#27 0x00007f6563442ec6 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1285
#28 0x00000000004046bb in main (argc=1, argv=0x7ffd6678e688) at /usr/src/debug/kdepim-16.08.2/kontact/src/main.cpp:223

Reported using DrKonqi
Comment 1 Christoph Feck 2017-05-07 12:35:07 UTC
According to bug 363899 and bug 364663 this should be fixed in version 5.2.x, but this report (and a duplicate) is from version 5.3.0.
Comment 2 Christoph Feck 2017-05-07 12:35:48 UTC
*** Bug 354495 has been marked as a duplicate of this bug. ***
Comment 3 Christoph Feck 2017-05-07 12:36:04 UTC
*** Bug 359180 has been marked as a duplicate of this bug. ***
Comment 4 Christoph Feck 2017-05-07 12:36:26 UTC
*** Bug 366267 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2017-05-07 12:36:51 UTC
*** Bug 372282 has been marked as a duplicate of this bug. ***
Comment 6 Christoph Feck 2017-05-07 12:37:10 UTC
*** Bug 378256 has been marked as a duplicate of this bug. ***
Comment 7 Christoph Feck 2017-05-07 12:37:33 UTC
*** Bug 379331 has been marked as a duplicate of this bug. ***
Comment 8 Christoph Feck 2017-06-19 12:29:44 UTC
*** Bug 381137 has been marked as a duplicate of this bug. ***
Comment 9 Christoph Feck 2017-06-19 12:30:31 UTC
*** Bug 381221 has been marked as a duplicate of this bug. ***
Comment 10 Martin Tlustos 2017-06-25 16:24:57 UTC
*** Bug 350822 has been marked as a duplicate of this bug. ***
Comment 11 Christoph Feck 2017-06-28 22:52:24 UTC
*** Bug 381683 has been marked as a duplicate of this bug. ***
Comment 12 Alexey A Nikitin 2017-06-30 23:07:33 UTC
For me the crash happens absolutely every time I launch Akregator in standalone mode and every time I close Kontact if I launch Akregator as part of Kontact. If I launch Kontact I can see articles in Akregator, but I cannot do anything with them - keyboard shortcuts don't work, context menu doesn't pop up on right-click, going through main application menu all of the items in Article menu are greyed out. If I create a new user account on my machine and start Akregator there it starts fine. In existing account I tried deleting ~/.local/share/akregator and ~/.config/akregatorrc but I still see the same symptoms.

The stack trace of the crashing thread in case of closing Kontact is similar:

Thread 1 (Thread 0x7f188f794900 (LWP 30706)):
[KCrash Handler]
#6  0x0000000000000110 in ?? ()
#7  0x00007f18ac4962b9 in QMetaObject::cast (this=0x7f177e4b71e0 <Akregator::WebEngineFrame::staticMetaObject>, obj=obj@entry=0x1fdc460) at kernel/qmetaobject.cpp:366
#8  0x00007f18ac4962f5 in QMetaObject::cast (this=<optimized out>, obj=obj@entry=0x1fdc460) at kernel/qmetaobject.cpp:355
#9  0x00007f177e25520a in qobject_cast<Akregator::WebEngineFrame*> (object=0x1fdc460) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject.h:514
#10 Akregator::FrameManager::saveProperties (this=0x1e0d800, config=...) at /workspace/build/src/frame/framemanager.cpp:281
#11 0x00007f177e73d53f in Akregator::MainWidget::saveProperties (this=<optimized out>, config=...) at /workspace/build/src/mainwidget.cpp:1237
#12 0x00007f177e736186 in Akregator::Part::autoSaveProperties (this=this@entry=0x1e00130) at /workspace/build/src/akregator_part.cpp:860
#13 0x00007f177e736219 in Akregator::Part::slotOnShutdown (this=0x1e00130) at /workspace/build/src/akregator_part.cpp:394
#14 0x00007f18ac4b93f6 in QtPrivate::QSlotObjectBase::call (a=0x7ffcaa34b430, r=0x1e00130, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#15 QMetaObject::activate (sender=0x7ffcaa34b720, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffcaa34b430) at kernel/qobject.cpp:3749
#16 0x00007f18ac4b99d7 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f18ac74a4a0 <QCoreApplication::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffcaa34b430) at kernel/qobject.cpp:3628
#17 0x00007f18ac531fa7 in QCoreApplication::aboutToQuit (this=<optimized out>, _t1=...) at .moc/moc_qcoreapplication.cpp:250
#18 0x00007f18ac48facb in QCoreApplicationPrivate::execCleanup (this=0x1281ba0) at kernel/qcoreapplication.cpp:1311
#19 0x00007f18ac493dcc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1295
#20 0x0000000000404427 in main (argc=1, argv=0x7ffcaa34b878) at /workspace/build/src/main.cpp:227
Comment 13 Alexey A Nikitin 2017-07-01 08:21:10 UTC
I think I found what triggers the crash. Akregator doesn't seem to like the Title bar button Menubar style, as soon as I switched from Title bar button to In application Akregator stopped crashing, on switching back to Title bar button it started crashing again with the same stack trace. This finding should help you confirm the bug.
Comment 14 Alexey A Nikitin 2017-07-01 08:35:02 UTC
I suspect some of the menu code (in particular the article menu) is written in such a way that whenever menubar is disabled that causes a) the article menu to stop working and b) Akregator to crash on either start (if standalone) or exit (if embedded into Kontact). This suspicion is based on the fact that after I disabled the Title bar button menu in System Settings Kontact still kept all menubars hidden (standalone Akregator was abiding by System Settings rules and was showing menubar properly, without crashing) and I had to edit ~/.config/kontactrc to remove all MenuBar=disabled lines, until I did so Kontact kept crashing with stack trace like the one I posted in my earlier comment.
Comment 15 Alexey A Nikitin 2017-07-01 08:37:15 UTC
Oh, completely forgot to mention - this is on Ubuntu 16.04 with KDE Neon User repos, Akregator and Kontact versions 5.5.2.
Comment 16 Matthijs 2017-07-01 19:15:03 UTC
The issue Alexey A Nikitin describes does not appear to be the same as my issue, since I did not disable the menubar.
Comment 17 Alexey A Nikitin 2017-07-03 16:18:12 UTC
(In reply to Matthijs from comment #16)
> The issue Alexey A Nikitin describes does not appear to be the same as my
> issue, since I did not disable the menubar.

If the stack trace is (nearly) the same chances are the same code path is activated, meaning if the crash is fixed for one case chances are it'll be fixed for another one too.
Comment 18 Robby Engelmann 2017-07-05 13:30:52 UTC
I can confirm that for openSUSE Tumbleweed and latest Qt, Frameworks, Plasma, Apps...
"Title bar button Menubar style, as soon as I switched from Title bar button to In application Akregator stopped crashing"
Comment 19 Allen Winter 2017-07-05 16:11:38 UTC
can someone give me instructions on how to set the "Title bar button Menubar style"? so I can try to also get this crash and then try to fix.
Comment 20 Robby Engelmann 2017-07-05 18:15:16 UTC
Systemsettings --> Application Style --> Widget Style --> Fine Tuning --> Set "Menubar Style" to "Title Bar Button"
Comment 21 Allen Winter 2017-07-05 20:46:00 UTC
thanks. I'll run Kontact for a couple days and see if I can reproduce the crash. I use akregator quite a bit should it should be a good test.
Comment 22 Alexey A Nikitin 2017-07-10 16:17:55 UTC
I noticed that I still get similar stack trace on exiting Kontact with Akregator embedded in it if I exit it while it's minimized to tray:

Thread 1 (Thread 0x7fc49d7cd900 (LWP 4503)):
[KCrash Handler]
#6  0x00007fc4ba4ce2b7 in QMetaObject::cast (this=0x7fc38c4041e0 <Akregator::WebEngineFrame::staticMetaObject>, obj=obj@entry=0x2773970) at kernel/qmetaobject.cpp:366
#7  0x00007fc4ba4ce2f5 in QMetaObject::cast (this=<optimized out>, obj=obj@entry=0x2773970) at kernel/qmetaobject.cpp:355
#8  0x00007fc38c1a220a in qobject_cast<Akregator::WebEngineFrame*> (object=0x2773970) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject.h:514
#9  Akregator::FrameManager::saveProperties (this=0x25d03b0, config=...) at /workspace/build/src/frame/framemanager.cpp:281
#10 0x00007fc38c68a53f in Akregator::MainWidget::saveProperties (this=<optimized out>, config=...) at /workspace/build/src/mainwidget.cpp:1237
#11 0x00007fc38c683186 in Akregator::Part::autoSaveProperties (this=this@entry=0x259f9a0) at /workspace/build/src/akregator_part.cpp:860
#12 0x00007fc38c683219 in Akregator::Part::slotOnShutdown (this=0x259f9a0) at /workspace/build/src/akregator_part.cpp:394
#13 0x00007fc4ba4f13f6 in QtPrivate::QSlotObjectBase::call (a=0x7ffe9a4835a0, r=0x259f9a0, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#14 QMetaObject::activate (sender=0x7ffe9a483890, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffe9a4835a0) at kernel/qobject.cpp:3749
#15 0x00007fc4ba4f19d7 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7fc4ba7824a0 <QCoreApplication::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffe9a4835a0) at kernel/qobject.cpp:3628
#16 0x00007fc4ba569fa7 in QCoreApplication::aboutToQuit (this=<optimized out>, _t1=...) at .moc/moc_qcoreapplication.cpp:250
#17 0x00007fc4ba4c7acb in QCoreApplicationPrivate::execCleanup (this=0x1a70ba0) at kernel/qcoreapplication.cpp:1311
#18 0x00007fc4ba4cbdcc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1295
#19 0x0000000000404427 in main (argc=1, argv=0x7ffe9a4839e8) at /workspace/build/src/main.cpp:227

If the window is visible no crash occurs.
Comment 23 Christoph Feck 2017-07-12 12:03:47 UTC
*** Bug 382000 has been marked as a duplicate of this bug. ***
Comment 24 Matthijs 2017-08-18 19:16:14 UTC
I found a workaround for this bug, which may be useful for others: since the bug is related to session restore, disabling it fixes the crashes for me. The session restore was not useful for me anyway.

1. Exclude akregator from the session restore in the settings
2. Add "akregator --hide-mainwindow" to the autostart apps
Comment 25 Gerardo 2017-09-05 01:58:08 UTC
Created attachment 107697 [details]
New crash information added by DrKonqi

akregator (5.5.1) using Qt 5.7.1

- What I was doing when the application crashed:

Opened application and crashed. When launched the application once more it keeps crashing.

-- Backtrace (Reduced):
#8  0x00007f45614d73ec in Akregator::FrameManager::saveProperties(KConfigGroup&) () from /lib64/libakregatorprivate.so.5
#9  0x00007f45291a6c03 in Akregator::MainWidget::saveProperties(KConfigGroup&) () from /usr/lib64/qt5/plugins/akregatorpart.so
#10 0x00007f452919f1dc in Akregator::Part::saveCrashProperties() () from /usr/lib64/qt5/plugins/akregatorpart.so
#12 0x00007f455d4ba8da in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#13 0x00007f455dcdd5dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
Comment 26 Anthony Fieroni 2017-09-10 19:00:15 UTC
Git commit d0a5f4159cddcca656ca8bbcbd6e551e3499c166 by Anthony Fieroni.
Committed on 10/09/2017 at 18:59.
Pushed by anthonyfieroni into branch 'Applications/17.08'.

[akregator] Make sure part is created before main windows is restored

DIfferential Revision: https://phabricator.kde.org/D6739
Related: bug 381822, bug 381825, bug 377129

Signed-off-by: Anthony Fieroni <bvbfan@abv.bg>

M  +5    -8    src/main.cpp

https://commits.kde.org/akregator/d0a5f4159cddcca656ca8bbcbd6e551e3499c166
Comment 27 Robby Engelmann 2017-09-11 18:51:45 UTC
Created attachment 107806 [details]
New crash information added by DrKonqi

akregator (5.6.1) using Qt 5.9.1

- What I was doing when the application crashed:

Starting Akregator; this patch:
https://commits.kde.org/akregator/d0a5f4159cddcca656ca8bbcbd6e551e3499c166
should be integrated already. Either the patch did not cure the bug or this is distinct case?

-- Backtrace (Reduced):
#8  0x00007f3d9c420f4c in qobject_cast<Akregator::WebEngineFrame*> (object=0x5610d6dcf050) at /usr/include/qt5/QtCore/qobject.h:514
#9  Akregator::FrameManager::saveProperties (this=0x5610d6e9a860, config=...) at /usr/src/debug/akregator-17.08.1/src/frame/framemanager.cpp:278
#10 0x00007f3d6a0dd973 in Akregator::MainWidget::saveProperties (this=0x5610d6f6a490, config=...) at /usr/src/debug/akregator-17.08.1/src/mainwidget.cpp:1227
#11 0x00007f3d6a0d63ac in Akregator::Part::saveCrashProperties (this=0x5610d6f8ca80) at /usr/src/debug/akregator-17.08.1/src/akregator_part.cpp:777
#12 0x00007f3d6a0d6425 in Akregator::Part::slotAutoSave (this=<optimized out>) at /usr/src/debug/akregator-17.08.1/src/akregator_part.cpp:782
Comment 28 Robby Engelmann 2017-09-11 18:56:02 UTC
I think it should be reopened, see last crash report...
Comment 29 Christoph Feck 2017-09-13 00:36:07 UTC
*** Bug 383926 has been marked as a duplicate of this bug. ***
Comment 30 Antonio Rojas 2017-09-17 08:29:24 UTC
Still reproducible after commit d0a5f4159cddcca656ca8bbcbd6e551e3499c166
Comment 31 Christoph Feck 2017-10-17 00:03:55 UTC
*** Bug 385316 has been marked as a duplicate of this bug. ***
Comment 32 Vincent de Phily 2017-10-17 12:13:05 UTC
Created attachment 108402 [details]
New crash information added by DrKonqi

akregator (5.6.2) using Qt 5.9.2

- What I was doing when the application crashed:

You probably have enough backtraces at this stage, but some more tidbits of info:

* Both the "title bar buttons" and "application menu widget" settings cause the error, not just the first one.
* The "in application" workaround works for me.
* I've been using "application menu widget" setting for a long time without troubles, but I recently upgraded QT 5.7.1 -> 5.9.2 and akregator 17.08.1 -> 17.08.2, so I guess that the crash is also related to QT 5.9.

I've only tested standalone, not inside kontact.

-- Backtrace (Reduced):
#8  0x00007f6b8f3a8073 in qobject_cast<Akregator::WebEngineFrame*> (object=0x55ded155b2c0) at /usr/include/qt5/QtCore/qobject.h:514
#9  Akregator::FrameManager::saveProperties (this=0x55ded12a1210, config=...) at /var/tmp/portage/kde-apps/akregator-17.08.2/work/akregator-17.08.2/src/frame/framemanager.cpp:278
#10 0x00007f6b5841d895 in Akregator::MainWidget::saveProperties (this=<optimized out>, config=...) at /var/tmp/portage/kde-apps/akregator-17.08.2/work/akregator-17.08.2/src/mainwidget.cpp:1227
#11 0x00007f6b584182ad in Akregator::Part::saveCrashProperties (this=0x55ded12db690) at /var/tmp/portage/kde-apps/akregator-17.08.2/work/akregator-17.08.2/src/akregator_part.cpp:780
#12 0x00007f6b8ce1ceef in QObject::event(QEvent*) () from /usr/lib64/libQt5Core.so.5
Comment 33 Christoph Feck 2017-11-23 01:35:14 UTC
*** Bug 386680 has been marked as a duplicate of this bug. ***
Comment 34 Christoph Feck 2017-12-28 19:36:52 UTC
*** Bug 387581 has been marked as a duplicate of this bug. ***
Comment 35 Christoph Feck 2018-01-01 17:40:09 UTC
*** Bug 388046 has been marked as a duplicate of this bug. ***
Comment 36 Christoph Feck 2018-01-10 23:53:08 UTC
*** Bug 387893 has been marked as a duplicate of this bug. ***
Comment 37 Christoph Feck 2018-01-10 23:54:21 UTC
Bug 387893 confirms it is caused by changing the menubar style.
Comment 38 Roman Bysh 2018-02-03 22:40:28 UTC
Created attachment 110322 [details]
New crash information added by DrKonqi

akregator (5.7.1) using Qt 5.9.3

- What I was doing when the application crashed:

I'm testing this on Leap 15 Build 1115.1 Plasma 5.11.95 and akregator still crashes if the menubar is enabled. Disabling the menubar allows akregator to start up.

-- Backtrace (Reduced):
#7  0x00007f8c7048636c in qobject_cast<Akregator::WebEngineFrame*> (object=0x5622fd212e90) at /usr/include/qt5/QtCore/qobject.h:514
#8  Akregator::FrameManager::saveProperties (this=0x5622fce7dad0, config=...) at /usr/src/debug/akregator-17.12.1/src/frame/framemanager.cpp:275
#9  0x00007f8c3816bbf3 in Akregator::MainWidget::saveProperties (this=0x5622fcf56130, config=...) at /usr/src/debug/akregator-17.12.1/src/mainwidget.cpp:1231
#10 0x00007f8c3816478c in Akregator::Part::saveCrashProperties (this=0x5622fcea2da0) at /usr/src/debug/akregator-17.12.1/src/akregator_part.cpp:780
#11 0x00007f8c38164805 in Akregator::Part::slotAutoSave (this=<optimized out>) at /usr/src/debug/akregator-17.12.1/src/akregator_part.cpp:785
Comment 39 Christoph Feck 2018-03-29 16:37:35 UTC
*** Bug 391456 has been marked as a duplicate of this bug. ***
Comment 40 Christoph Feck 2018-03-29 16:38:24 UTC
*** Bug 388896 has been marked as a duplicate of this bug. ***
Comment 41 Christoph Feck 2018-05-12 10:27:36 UTC
*** Bug 393672 has been marked as a duplicate of this bug. ***
Comment 42 Christoph Feck 2018-11-26 23:42:41 UTC
*** Bug 400616 has been marked as a duplicate of this bug. ***
Comment 43 Christoph Feck 2019-01-09 05:24:29 UTC
*** Bug 402127 has been marked as a duplicate of this bug. ***
Comment 44 Christoph Feck 2019-02-08 16:02:03 UTC
*** Bug 403309 has been marked as a duplicate of this bug. ***
Comment 45 joris 2019-11-21 11:26:54 UTC
Created attachment 124044 [details]
New crash information added by DrKonqi

kontact (5.12.3) using Qt 5.13.2

- What I was doing when the application crashed:

Every times, I close kontact, I have a crash of it.

-- Backtrace (Reduced):
#9  0x00007feea0e47cec in qobject_cast<Akregator::WebEngineFrame*> (object=0x559db896f660) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject.h:508
#10 Akregator::FrameManager::saveProperties (this=0x559db88fb1a0, config=...) at ./src/frame/framemanager.cpp:277
#11 0x00007feea1336573 in Akregator::MainWidget::saveProperties (this=0x559db89dca20, config=...) at ./src/mainwidget.cpp:1237
#12 0x00007feea132ee9c in Akregator::Part::saveCrashProperties (this=0x559db88dbc80) at ./src/akregator_part.cpp:821
#13 0x00007fefffb15432 in QObject::event (this=0x559db88dbc80, e=<optimized out>) at kernel/qobject.cpp:1260
Comment 46 kaeslaek 2020-05-03 20:56:38 UTC
Created attachment 128118 [details]
New crash information added by DrKonqi

kontact (5.13.2 (19.12.2)) using Qt 5.13.2

- What I was doing when the application crashed:

opening Kontact after it was closed for a while

-- Backtrace (Reduced):
#7  0x00007f0e0482b08c in Akregator::FrameManager::saveProperties(KConfigGroup&) () from /lib64/libakregatorprivate.so.5
#8  0x00007f0e04927a36 in Akregator::MainWidget::saveProperties(KConfigGroup&) () from /usr/lib64/qt5/plugins/akregatorpart.so
#9  0x00007f0e04921798 in Akregator::Part::saveCrashProperties() () from /usr/lib64/qt5/plugins/akregatorpart.so
#10 0x00007f0eaf26d352 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007f0eafb4de76 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
Comment 47 Justin Zobel 2022-10-08 00:38:48 UTC
Thank you for reporting this crash in KDE software. As it has been a while since this issue was reported, can we please ask you to see if you can reproduce the crash with a recent software version?

If you can reproduce the issue, please change the status to "CONFIRMED" when replying. Thank you!
Comment 48 Mathias Homann 2022-10-08 08:09:29 UTC
4 years old. this bug has disappeared and resurfaced many times since then, most likely different reasons each time.
Comment 49 Ryan 2022-10-08 20:17:05 UTC
Not using the app anymore.  Go ahead and close.

Ryan

On Fri, Oct 7, 2022, at 17:38, Justin Zobel wrote:
> https://bugs.kde.org/show_bug.cgi?id=378513
>
> Justin Zobel <justin.zobel@gmail.com> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>          Resolution|---                         |WAITINGFORINFO
>              Status|REOPENED                    |NEEDSINFO
>
> --- Comment #47 from Justin Zobel <justin.zobel@gmail.com> ---
> Thank you for reporting this crash in KDE software. As it has been a while
> since this issue was reported, can we please ask you to see if you can
> reproduce the crash with a recent software version?
>
> If you can reproduce the issue, please change the status to "CONFIRMED" when
> replying. Thank you!
>
> -- 
> You are receiving this mail because:
> You are on the CC list for the bug.